The Spring Framework

## org.springframework.jms
Class MessageNotReadableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.jms.JmsException
                          org.springframework.jms.MessageNotReadableException

All Implemented Interfaces:
  Serializable

    public class MessageNotReadableException

extends JmsException

Runtime exception mirroring the JMS MessageNotReadableException.

Since:
  1.1
Author:
  Mark Pollack
See Also:
  `MessageNotReadableException`, Serialized Form

Constructor Summary
`MessageNotReadableException(MessageNotReadableException cause)`

Method Summary

Methods inherited from class org.springframework.jms.JmsException
`getErrorCode, getMessage`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageNotReadableException

    public MessageNotReadableException(MessageNotReadableException cause)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.